## kopete 23.08.4

=== debian/changelog ===
kopete (4:23.08.4-0ubuntu2) noble; urgency=medium

  * Disable meanwhile protocol temporarily to avoid FTBFS.

 -- Rik Mills <rikmills@kde.org>  Sun, 17 Dec 2023 16:13:46 +0000

kopete (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:19:08 +0000

kopete (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:39:13 +0000

kopete (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:35:03 +0100

=== debian/control ===
Source: kopete
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11~),
               dh-exec,
               extra-cmake-modules (>= 5.25.0~),
               libasound2-dev (>= 1.0.14a) [linux-any],
               libexpat-dev,
               libexpat1-dev,
               libgadu-dev (>= 1.8.0),
               libgnutls28-dev,
               libgpgmepp-dev (>= 1.8.0~),
               libidn11-dev,
               libjpeg-dev,
               libjsoncpp-dev,
               libkf5config-dev (>= 5.25.0~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5coreaddons-dev (>= 5.25.0~),
               libkf5crash-dev (>= 5.25.0~),
               libkf5dbusaddons-dev (>= 5.25.0~),
               libkf5dnssd-dev (>= 5.25.0~),
               libkf5doctools-dev (>= 5.25.0~),
               libkf5emoticons-dev (>= 5.25.0~),
               libkf5i18n-dev (>= 5.25.0~),
               libkf5identitymanagement-dev (>= 23.08.4~),
               libkf5kcmutils-dev (>= 5.25.0~),
               libkf5kdelibs4support-dev (>= 5.25.0~),
               libkf5khtml-dev (>= 5.25.0~),
               libkf5kio-dev (>= 5.25.0~),
               libkf5libkleo-dev (>= 4:23.08.4~),
               libkf5notifyconfig-dev (>= 5.25.0~),
               libkf5parts-dev (>= 5.25.0~),
               libkf5textaddons-dev,
               libkf5texteditor-dev (>= 5.25.0~),
               libkf5wallet-dev (>= 5.25.0~),
#               libmeanwhile-dev,
               libmediastreamer-dev (>= 3.6),
               libortp-dev (>= 0.13),
               libotr5-dev,
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqca-qt5-2-dev (>= 2.1.0~),
               libsqlite3-dev,
               libsrtp2-dev,
               libssl-dev,
               libv4l-dev [linux-any],
               libxdamage-dev,
               libxml2-dev,
               libxslt1-dev,
               libxss-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.6.0~),
               xauth,
               xvfb,
               zlib1g-dev,
Standards-Version: 4.2.1
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopete
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopete

Package: kopete
Section: net
Architecture: any
Depends: kopete-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Recommends: libqca-qt5-2-plugins, libqt5sql5-sqlite
Suggests: imagemagick, khelpcenter
Description: instant messaging and chat application
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package is part of the KDE networking module.

Package: kopete-data
Section: net
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Breaks: kopete (<< 4:18.03.80~), ${kde-l10n:all}
Replaces: kopete (<< 4:18.03.80~), ${kde-l10n:all}
Description: data files for Kopete
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package contains the data files.
 .
 This package is part of the KDE networking module.

Package: libkopete-dev
Section: libdevel
Architecture: any
Depends: libkopete1 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.0~),
         ${misc:Depends},
Description: development files for the Kopete instant messaging and chat application
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber. Advanced
 features and additional protocols are available as plugins.
 .
 This package contains development files needed for building Kopete plugins.
 .
 This package is part of the KDE networking module.

Package: libkopete1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kopete (= ${binary:Version})
Description: main Kopete library
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package contains main Kopete library which is used by Kopete and its
 plugins.
 .
 This package is part of the KDE networking module.

## kopete 23.08.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(kopete)

set(KOPETE_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})
set(KOPETE_BINARY_DIR ${CMAKE_CURRENT_BINARY_DIR})

set(KF5_VERSION "5.25.0")
set(REQUIRED_QT_VERSION "5.6.0")

#ECM modules configurations
find_package(ECM ${KF5_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_MODULE_DIR} ${ECM_KDE_MODULE_DIR} ${KOPETE_SOURCE_DIR}/cmake/modules)

find_package(Phonon4Qt5 REQUIRED NO_MODULE)
find_package(Qt5 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Core)
find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Widgets Xml Sql Test)
find_package(KF5 ${KF5_VERSION} REQUIRED COMPONENTS
    Config
    CoreAddons
    Crash
    DBusAddons
    DocTools
    Emoticons
    I18n
    KCMUtils
    KHtml
    NotifyConfig
    Parts
    TextEditor
    Wallet
    KDELibs4Support
)

find_package(KF5Contacts ${KCONTACTS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5IdentityManagement ${KCONTACTS_LIB_VERSION} CONFIG REQUIRED)

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(FeatureSummary)
include(ECMAddTests)
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include_directories(${PHONON_INCLUDES})

if(WIN32)
    set(CMAKE_REQUIRED_LIBRARIES ${KDEWIN32_LIBRARIES})
    set(CMAKE_REQUIRED_INCLUDES ${KDEWIN32_INCLUDES})
endif()

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0)

if(WIN32)
    set(DISABLE_VIDEOSUPPORT ON)
else()
    option(DISABLE_VIDEOSUPPORT "Build Kopete without video-support" OFF)
endif()

if(DISABLE_VIDEOSUPPORT)
    add_definitions(-DVIDEOSUPPORT_DISABLED)
endif()

set(LIBKLEO_LIB_VERSION_LIB "5.4.0")
find_package(KF5Libkleo ${LIBKLEO_LIB_VERSION_LIB} CONFIG REQUIRED)

### Alphabetical list of optional packages ###

find_package(ALSA QUIET)
set_package_properties(ALSA PROPERTIES DESCRIPTION "Alsa is advanced linux sound Architecture" URL "http://www.alsa-project.org" TYPE OPTIONAL PURPOSE "Required for the Jabber protocol with libjingle support")

find_package(EXPAT QUIET)
set_package_properties(EXPAT PROPERTIES DESCRIPTION "Expat is a stream oriented XML parser" URL "http://expat.sourceforge.net/" TYPE OPTIONAL PURPOSE "Required for the Jabber protocol with libjingle support")

find_package(GLIB2 QUIET)
set_package_properties(GLIB2 PROPERTIES DESCRIPTION "GLib library" URL "http://www.gtk.org" TYPE OPTIONAL PURPOSE "Required for the Nowlistening plugin with XMMS player support")

find_package(IDN QUIET)
set_package_properties(IDN PROPERTIES DESCRIPTION "GNU Libidn International Domain Name(IDN) implementation" URL "http://www.gnu.org/software/libidn/" TYPE OPTIONAL PURPOSE "Required for the Jabber protocol")

find_package(JsonCpp QUIET)
set_package_properties(JsonCpp PROPERTIES DESCRIPTION "JsonCpp is an implementation of a JSON reader and writer in C++" URL "http://jsoncpp.sourceforge.net/" TYPE OPTIONAL PURPOSE "Required for the jabber protocol")

find_package(Kleopatra QUIET)
set_package_properties(Kleopatra PROPERTIES DESCRIPTION "The Kleopatra libraries (from kdepim)" URL "http://kde.org/" TYPE OPTIONAL PURPOSE "Required for the Cryptography plugin")

find_package(Libgadu QUIET)
set_package_properties(Libgadu PROPERTIES DESCRIPTION "A library providing support for the Gadu-Gadu protocol" URL "http://www.toxygen.net/libgadu" TYPE OPTIONAL PURPOSE "Required for the Gadu-Gadu protocol")

find_package(LibMeanwhile QUIET)
set_package_properties(LibMeanwhile PROPERTIES DESCRIPTION "A library for protocol support for connection to sametime servers" URL "http://meanwhile.sourceforge.net/" TYPE OPTIONAL PURPOSE "Required for the meanwhile protocol")

find_package(LiboRTP QUIET)
set_package_properties(LiboRTP PROPERTIES DESCRIPTION "oRTP provides an API to send rtp packets" URL "http://www.linphone.org/index.php/eng/code_review/ortp/" TYPE OPTIONAL PURPOSE "Required for the Jabber protocol with libjingle support")

find_package(LibOTR QUIET)
set_package_properties(LibOTR PROPERTIES DESCRIPTION "Library to encrypt messages with off-the-record encryption" URL "http://www.cypherpunks.ca/otr/" TYPE OPTIONAL PURPOSE "Required for the OTR plugin")

find_package(LibV4L2 QUIET)
set_package_properties(LibV4L2 PROPERTIES DESCRIPTION "Collection of video4linux support libraries" URL "http://hansdegoede.livejournal.com http://linuxtv.org/hq/~hgoede/libv4l/" TYPE OPTIONAL PURPOSE "Required for better webcam support on Linux")

find_package(LibXml2 QUIET)
set_package_properties(LibXml2 PROPERTIES DESCRIPTION "Libraries used to develop XML applications" URL "http://www.xmlsoft.org/" TYPE OPTIONAL PURPOSE "Required for Webpresence plugin")

find_package(LibXslt QUIET)
set_package_properties(LibXslt PROPERTIES DESCRIPTION "A library to transform XML files into other XML files" URL "http://www.xmlsoft.org/XSLT/" TYPE OPTIONAL PURPOSE "Required for the Webpresence plugin")

find_package(Mediastreamer QUIET)
set_package_properties(Mediastreamer PROPERTIES DESCRIPTION "A streaming enginer specialized for voice/video telephony applications" URL "http://www.linphone.org/index.php/eng/code_review/mediastreamer2/" TYPE OPTIONAL PURPOSE "Required for the Jabber protocol with libjingle support")

find_package(OpenSSL QUIET)
set_package_properties(OpenSSL PROPERTIES DESCRIPTION "OpenSSL implementation of SSL" URL "https://www.openssl.org/" TYPE OPTIONAL PURPOSE "Required for the Jabber protocol with libjingle support")

find_package(Qca-qt5 2.1.0)
set_package_properties(Qca-qt5 PROPERTIES DESCRIPTION "Support for encryption"
                       URL "http://download.kde.org/stable/qca-qt5/"
                       TYPE RECOMMENDED)

set(GPGMEPP_LIB_VERSION "1.8.0")
find_package(Gpgmepp ${GPGMEPP_LIB_VERSION} CONFIG REQUIRED)

find_package(Sqlite QUIET)
set_package_properties(Sqlite PROPERTIES DESCRIPTION "SQLite is a Binary-Database" URL "http://www.sqlite.org" TYPE OPTIONAL PURPOSE "Required for the Statistic plugin")

find_package(Speex QUIET)
set_package_properties(Speex PROPERTIES DESCRIPTION "Speex is an encoder/decoder for the speex audio format" URL "http://www.speex.org/" TYPE OPTIONAL PURPOSE "Required for the Jabber protocol with Jingle support")

find_package(SRTP QUIET)
set_package_properties(SRTP PROPERTIES DESCRIPTION "SRTP provides an implementation of the Secure Real-time Transport protocol(SRTP)" URL "http://srtp.sourceforge.net/srtp.html" TYPE OPTIONAL PURPOSE "Required for the Jabber protocol with libjingle support")

find_package(Xmms QUIET)
set_package_properties(Xmms PROPERTIES DESCRIPTION "X Multimedia System development libraries" URL "http://www.xmms.org/" TYPE OPTIONAL PURPOSE "Required for the Nowlistening plugin with XMMS player support")

find_package(ZLIB QUIET)
set_package_properties(ZLIB PROPERTIES DESCRIPTION "Zlib is a library implementing the deflate compression method" URL "http://zlib.net/" TYPE OPTIONAL PURPOSE "Required for the GroupWise and Jabber protocols")

if(Q_WS_X11)
    macro_log_feature(X11_Xss_FOUND "libXss" "libXss provides access to screen server X11 extension" "" FALSE "" "Required for idle timer on X11")
endif()

set(KOPETE_INCLUDES

    ${KDEPIMLIBS_INCLUDE_DIRS}
    ${KOPETE_SOURCE_DIR}/libkopete/
    ${KOPETE_BINARY_DIR}/libkopete/
    ${KOPETE_SOURCE_DIR}/libkopete/ui/
    ${KOPETE_SOURCE_DIR}/libkopete/private/
    ${KOPETE_SOURCE_DIR}/libkopete/contactlist/
    ${KOPETE_SOURCE_DIR}/libkopete/tasks/
)

add_subdirectory(libkopete)
add_subdirectory(kopete)
add_subdirectory(protocols)
add_subdirectory(plugins)
add_subdirectory(icons)
add_subdirectory(sounds)
add_subdirectory(styles)
add_subdirectory(doc)
add_subdirectory(tests)

if (${ECM_VERSION} VERSION_GREATER "5.58.0")
    install( FILES kopete.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR} )
else()
    install( FILES kopete.categories DESTINATION ${KDE_INSTALL_CONFDIR} )
endif()

ki18n_install(po)
kdoctools_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== plugins/CMakeLists.txt ===
option(WITH_latex "Enable Kopete latex plugin" OFF) # to be fixed or rewritten
option(WITH_autoreplace "Enable Kopete autoreplace plugin" ON) 
option(WITH_history "Enable Kopete history plugin" ON) # To be re-written
option(WITH_history2 "Enable Kopete history2 plugin" OFF) # To be re-written
option(WITH_contactnotes "Enable Kopete contactnotes plugin" ON)
option(WITH_translator "Enable Kopete translator plugin" OFF)
option(WITH_nowlistening "Enable Kopete nowlistening plugin" OFF)
option(WITH_texteffect "Enable Kopete texteffect plugin" ON)
option(WITH_highlight "Enable Kopete highlight plugin" ON)
option(WITH_alias "Enable Kopete alias plugin" OFF) # Disabled because someone thought it does nothing :P
option(WITH_addbookmarks "Enable Kopete addbookmarks plugin" ON)
option(WITH_privacy "Enable Kopete privacy plugin" ON)
option(WITH_urlpicpreview "Enable Kopete urlpicpreview plugin" ON)
option(WITH_statistics "Enable Kopete statistics plugin" ON)
option(WITH_webpresence "Enable Kopete webpresence plugin" ON)
option(WITH_pipes "Enable Kopete pipes plugin" OFF)
option(WITH_otr "Enable Kopete Off-the-Record plugin" ON)
option(WITH_cryptography "Enable Kopete Cryptography plugin" OFF) # To be re-written

# Laurent this plugins use shell script which will not work on windows
if (WITH_latex AND UNIX)
  add_subdirectory( latex )
endif()
if (WITH_autoreplace)
  add_subdirectory( autoreplace )
endif()
if (WITH_history)
  add_subdirectory( history )
endif()
if (WITH_history2)
  add_subdirectory( history2 )
endif()
if (WITH_contactnotes)
  add_subdirectory( contactnotes )
endif()
if (WITH_translator)
  add_subdirectory( translator )
endif()
if (WITH_nowlistening)
  add_subdirectory( nowlistening )
endif()
if (WITH_texteffect)
  add_subdirectory( texteffect )
endif()
if (WITH_highlight)
  add_subdirectory( highlight )
endif()
if (WITH_alias)
  add_subdirectory( alias )
endif()
if (WITH_addbookmarks)
  add_subdirectory( addbookmarks )
endif()
if(NOT MSVC)
if (WITH_privacy)
  add_subdirectory( privacy )
endif()
else()
  message(STATUS "disabled privacy plugin because some KGenericFactory<> template won't compile")
endif()
if (WITH_urlpicpreview)
  add_subdirectory( urlpicpreview )
endif()
if (WITH_statistics AND SQLITE_FOUND)
  add_subdirectory ( statistics ) 
endif()
if(WITH_pipes)
  add_subdirectory ( pipes )
endif()
if(WITH_webpresence AND LibXml2_FOUND AND LIBXSLT_FOUND)
  add_subdirectory( webpresence )
endif()
if (WITH_otr AND LIBOTR_FOUND)
  add_subdirectory ( otr )
endif()
if (WITH_cryptography AND QGpgme_FOUND)
  add_subdirectory ( cryptography )
endif()

=== doc-dev/t3/CMakeLists.txt ===
########### define cmake project ###########################

project(kopete_tutorial)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)

########### install the plugin desktop file ###############

install(FILES kopete_tutorialplugin.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

########### library containing plugin logic ###############

# set the search path for included headers
set(KOPETE_INCLUDES
    /kopete
    
   )

include_directories(${KOPETE_INCLUDES})

# the basic list of sources
set(kopete_tutorialplugin_PART_SRCS tutorialplugin.cpp )

# create moc files as needed

# declare the plugin library
add_library(kopete_tutorialplugin MODULE ${kopete_tutorialplugin_PART_SRCS})

# link any other libraries
# kdeui is needed because a kopete plugin uses KXMLGUI
target_link_libraries(kopete_tutorialplugin  kopete )

# install the result with other KDE plugins
install(TARGETS kopete_tutorialplugin DESTINATION ${KDE_INSTALL_PLUGINDIR})

########### configuration module ##########################

set(kcm_kopete_tutorialplugin_PART_SRCS tutorialpreferences.cpp )

ki18n_wrap_ui(kcm_kopete_tutorialplugin_PART_SRCS tutorialprefs.ui )


add_library(kcm_kopete_tutorialplugin MODULE ${kcm_kopete_tutorialplugin_PART_SRCS})

target_link_libraries(kcm_kopete_tutorialplugin )

install(TARGETS kcm_kopete_tutorialplugin DESTINATION ${KDE_INSTALL_PLUGINDIR})

install( FILES kopete_tutorialplugin_config.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR}/kconfiguredialog)

=== plugins/alias/CMakeLists.txt ===
include_directories( 
${KOPETE_INCLUDES} 
)


########### next target ###############

set(kopete_alias_PART_SRCS aliasplugin.cpp )

add_library(kopete_alias MODULE ${kopete_alias_PART_SRCS})


target_link_libraries(kopete_alias  KF5::KDELibs4Support kopete )

install(TARGETS kopete_alias  DESTINATION ${KDE_INSTALL_PLUGINDIR})


########### next target ###############

set(kcm_kopete_alias_PART_SRCS aliaspreferences.cpp editaliasdialog.cpp )

ki18n_wrap_ui(kcm_kopete_alias_PART_SRCS aliasdialogbase.ui aliasdialog.ui )


add_library(kcm_kopete_alias MODULE ${kcm_kopete_alias_PART_SRCS})


target_link_libraries(kcm_kopete_alias   kopete )

install(TARGETS kcm_kopete_alias  DESTINATION ${KDE_INSTALL_PLUGINDIR})


########### install files ###############

install( FILES kopete_alias.desktop  DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
install( FILES kopete_alias_config.desktop  DESTINATION ${KDE_INSTALL_KSERVICES5DIR}/kconfiguredialog)

=== plugins/webpresence/CMakeLists.txt ===
include_directories(${KOPETE_INCLUDES} ${LIBXSLT_INCLUDE_DIR})

########### next target ###############

set(kopete_webpresence_PART_SRCS webpresenceplugin.cpp )

kconfig_add_kcfg_files(kopete_webpresence_PART_SRCS webpresenceconfig.kcfgc )

add_library(kopete_webpresence MODULE ${kopete_webpresence_PART_SRCS})

target_link_libraries(
	kopete_webpresence  
	KF5::KIOCore 
	kopete 
	LibXml2::LibXml2
	${LIBXSLT_LIBRARIES}
	Qt5::Xml 
	KF5::I18n
)

install(TARGETS kopete_webpresence  DESTINATION ${KDE_INSTALL_PLUGINDIR})


########### next target ###############

set(kcm_kopete_webpresence_PART_SRCS webpresencepreferences.cpp )

ki18n_wrap_ui(kcm_kopete_webpresence_PART_SRCS webpresenceprefs.ui )

kconfig_add_kcfg_files(kcm_kopete_webpresence_PART_SRCS webpresenceconfig.kcfgc )

add_library(kcm_kopete_webpresence MODULE ${kcm_kopete_webpresence_PART_SRCS})

target_link_libraries(
	kcm_kopete_webpresence  
	KF5::I18n 
	KF5::KIOCore 
	kopete 
)

install(TARGETS kcm_kopete_webpresence  DESTINATION ${KDE_INSTALL_PLUGINDIR})


########### install files ###############

install(FILES webpresenceconfig.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
install(FILES kopete_webpresence.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
install(FILES webpresence_html.xsl webpresence_html_images.xsl webpresence_xhtml.xsl webpresence_xhtml_images.xsl DESTINATION ${KDE_INSTALL_DATADIR}/kopete/webpresence)
install(FILES kopete_webpresence_config.desktop  DESTINATION ${KDE_INSTALL_KSERVICES5DIR}/kconfiguredialog)

=== plugins/otr/icons/CMakeLists.txt ===
file(GLOB icons_png "[0-9]*.png")
file(GLOB icons_svg "[0-9]*.svgz")
file(GLOB icons_mng "[0-9]*.mng")
set(all_icons ${icons_png} ${icons_svg} ${icons_mng})
ecm_install_icons(ICONS ${all_icons} DESTINATION ${ICON_INSTALL_DIR} THEME oxygen)

=== protocols/groupwise/libgroupwise/CMakeLists.txt ===
set( GROUPWISE_DEBUG_LIBGW 14191 )
add_definitions( -DKDE_DEFAULT_DEBUG_AREA=${GROUPWISE_DEBUG_LIBGW} )

include_directories(
	${CMAKE_CURRENT_SOURCE_DIR}/tasks
)

########### tasks target ###############

set( libqgroupwise_tasks_SRCS
	tasks/chatcountstask.cpp
	tasks/chatpropertiestask.cpp
	tasks/conferencetask.cpp
	tasks/connectiontask.cpp
	tasks/createconferencetask.cpp
	tasks/createcontacttask.cpp
	tasks/createcontactinstancetask.cpp
	tasks/createfoldertask.cpp
	tasks/deleteitemtask.cpp
	tasks/eventtask.cpp
	tasks/getchatsearchresultstask.cpp
	tasks/getdetailstask.cpp
	tasks/getstatustask.cpp
	tasks/joinchattask.cpp
	tasks/joinconferencetask.cpp
	tasks/keepalivetask.cpp
	tasks/logintask.cpp
	tasks/leaveconferencetask.cpp
	tasks/modifycontactlisttask.cpp
	tasks/movecontacttask.cpp
	tasks/needfoldertask.cpp
	tasks/pollsearchresultstask.cpp
	tasks/privacyitemtask.cpp
	tasks/rejectinvitetask.cpp
	tasks/requesttask.cpp
	tasks/searchchattask.cpp
	tasks/searchusertask.cpp
	tasks/setstatustask.cpp
	tasks/sendinvitetask.cpp
	tasks/sendmessagetask.cpp
	tasks/statustask.cpp
	tasks/typingtask.cpp
	tasks/updatecontacttask.cpp
	tasks/updatefoldertask.cpp
	tasks/updateitemtask.cpp
)

set( libqgroupwise_SRCS
	bytestream.cpp
	chatroommanager.cpp
	client.cpp
	compressionhandler.cpp
	compress.cpp
	connector.cpp
	coreprotocol.cpp
	eventprotocol.cpp
	eventtransfer.cpp
	gwclientstream.cpp
	gwerror.cpp
	gwfield.cpp
	gwglobal.cpp
	inputprotocolbase.cpp
	privacymanager.cpp
	qcatlshandler.cpp
	request.cpp
	requestfactory.cpp
	response.cpp
	responseprotocol.cpp
	rtf.cc
	safedelete.cpp
	securestream.cpp
	stream.cpp
	task.cpp
	tlshandler.cpp
	transfer.cpp
	transferbase.cpp
	userdetailsmanager.cpp
	usertransfer.cpp
)


add_library( qgroupwise SHARED ${libqgroupwise_tasks_SRCS} ${libqgroupwise_SRCS} )

target_link_libraries( qgroupwise Qt5::Core Qt5::Gui Qt5::Network qca-qt5 ZLIB::ZLIB KF5::KDELibs4Support)

########### install files ###############

install(TARGETS qgroupwise ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== protocols/jabber/libiris/CMakeLists.txt ===

if(NOT WIN32)
    add_definitions(-fPIC)
else(NOT WIN32)
    if(MINGW)
        add_definitions(-DWIN32)
    endif(MINGW)
endif(NOT WIN32)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/src
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xmpp/base
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xmpp/base
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xmpp/jid
    ${CMAKE_CURRENT_SOURCE_DIR}/src/irisnet/noncore/cutestuff
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xmpp/xmpp-im
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xmpp/sasl
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xmpp/zlib
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xmpp/base64
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xmpp/xmpp-core
    ${CMAKE_CURRENT_SOURCE_DIR}/src/xmpp/jingle
    ${CMAKE_CURRENT_SOURCE_DIR}/src/jdns/include/jdns
    ${CMAKE_CURRENT_SOURCE_DIR}/src/irisnet/noncore
    ${CMAKE_CURRENT_SOURCE_DIR}/src/irisnet/noncore/legacy
    ${CMAKE_CURRENT_SOURCE_DIR}/src/irisnet/corelib
    ${CMAKE_CURRENT_SOURCE_DIR}/src/irisnet/appledns

    ${IDN_INCLUDE_DIR}
    ${DNSSD_INCLUDE_DIR}
    )

set(iris_SRCS
    src/xmpp/base/randomnumbergenerator.cpp
    src/xmpp/base/timezone.cpp
    src/xmpp/jid/jid.cpp
    src/irisnet/noncore/cutestuff/httppoll.cpp
    src/irisnet/noncore/cutestuff/socks.cpp
    src/irisnet/noncore/cutestuff/bytestream.cpp
    src/irisnet/noncore/cutestuff/bsocket.cpp
    src/irisnet/noncore/cutestuff/httpconnect.cpp
    src/xmpp/xmpp-im/xmpp_discoitem.cpp
    src/xmpp/xmpp-im/client.cpp
    src/xmpp/xmpp-im/types.cpp
    src/xmpp/xmpp-im/xmpp_vcard.cpp
    src/xmpp/xmpp-im/xmpp_xmlcommon.cpp
    src/xmpp/xmpp-im/xmpp_ibb.cpp
    src/xmpp/xmpp-im/xmpp_xdata.cpp
    src/xmpp/xmpp-im/xmpp_task.cpp
    src/xmpp/xmpp-im/xmpp_features.cpp
    src/xmpp/xmpp-im/xmpp_discoinfotask.cpp
    src/xmpp/xmpp-im/xmpp_bitsofbinary.cpp
    src/xmpp/xmpp-im/xmpp_bytestream.cpp
    src/xmpp/xmpp-im/xmpp_caps.cpp
    src/xmpp/xmpp-im/s5b.cpp
    src/xmpp/xmpp-im/xmpp_tasks.cpp
    src/xmpp/xmpp-im/filetransfer.cpp
    src/xmpp/sasl/digestmd5proplist.cpp
    src/xmpp/sasl/digestmd5response.cpp
    src/xmpp/sasl/plainmessage.cpp
    src/xmpp/sasl/scramsha1message.cpp
    src/xmpp/sasl/scramsha1signature.cpp
    src/xmpp/sasl/scramsha1response.cpp
    src/xmpp/zlib/zlibcompressor.cpp
    src/xmpp/zlib/zlibdecompressor.cpp
    src/xmpp/xmpp-core/tlshandler.cpp
    src/xmpp/xmpp-core/xmpp_stanza.cpp
    src/xmpp/xmpp-core/stream.cpp
    src/xmpp/xmpp-core/securestream.cpp
    src/xmpp/xmpp-core/simplesasl.cpp
    src/xmpp/xmpp-core/xmlprotocol.cpp
    src/xmpp/xmpp-core/protocol.cpp
    src/xmpp/xmpp-core/sm.cpp
    src/xmpp/xmpp-core/compressionhandler.cpp
    src/xmpp/xmpp-core/parser.cpp
    src/xmpp/xmpp-core/connector.cpp
    src/irisnet/noncore/ice176.cpp
    src/irisnet/noncore/icecomponent.cpp
    src/irisnet/noncore/icetransport.cpp
    src/irisnet/noncore/iceturntransport.cpp
    src/irisnet/noncore/stunallocate.cpp
    src/irisnet/noncore/legacy/ndns.cpp
    src/irisnet/noncore/legacy/srvresolver.cpp
    src/irisnet/noncore/legacy/safedelete.cpp
    src/irisnet/noncore/legacy/servsock.cpp
    src/irisnet/noncore/icelocaltransport.cpp
    src/irisnet/noncore/stunmessage.cpp
    src/irisnet/noncore/stunbinding.cpp
    src/irisnet/noncore/stuntransaction.cpp
    src/irisnet/noncore/stuntypes.cpp
    src/irisnet/noncore/stunutil.cpp
    src/irisnet/noncore/processquit.cpp
    src/irisnet/noncore/turnclient.cpp
    src/irisnet/noncore/udpportreserver.cpp
    src/irisnet/corelib/netavailability.cpp
    src/irisnet/corelib/netnames_jdns.cpp
    src/irisnet/corelib/netnames.cpp
    src/irisnet/corelib/irisnetplugin.cpp
    src/irisnet/corelib/netinterface.cpp
    src/irisnet/corelib/objectsession.cpp
    src/irisnet/corelib/irisnetglobal.cpp

    src/jdns/src/jdns/jdns_util.c
    src/jdns/src/jdns/jdns_packet.c
    src/jdns/src/jdns/jdns_mdnsd.c
    src/jdns/src/jdns/jdns_sys.c
    src/jdns/src/jdns/jdns.c
    src/jdns/src/qjdns/qjdns_sock.cpp
    src/jdns/src/qjdns/qjdns.cpp
    src/jdns/src/qjdns/qjdnsshared.cpp

    )

if(WIN32)
    LIST(APPEND iris_SRCS src/irisnet/corelib/netinterface_win.cpp)
else(WIN32)
    LIST(APPEND iris_SRCS src/irisnet/corelib/netinterface_unix.cpp)
endif(WIN32)

set(libiris_SRCS 
    ${cutestuff_SRCS}
    ${iris_SRCS}
    )

add_definitions(-DIRISNET_STATIC)
add_definitions(-DJDNS_STATIC)

if(CMAKE_COMPILER_IS_GNUCXX)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu90")
endif(CMAKE_COMPILER_IS_GNUCXX)

add_library(iris_kopete STATIC ${libiris_SRCS})

set(iris_kopete_libs Qt5::Core Qt5::Network Qt5::Xml Qt5::Gui Qt5::Widgets
    ${IDN_LIBRARIES} qca-qt5 ZLIB::ZLIB )

if(WIN32)
    set(iris_kopete_libs ${iris_kopete_libs} ws2_32)
endif(WIN32)

# On Solaris, some of the name resolution functions are in libnsl;
# this needs to be linked in if found. Copied from kdelibs.
include(CheckLibraryExists)
check_library_exists(nsl gethostbyname "" HAVE_NSL_LIBRARY)

if(HAVE_NSL_LIBRARY)
    # This is probably Solaris, and libiris needs to link
    # to libnsl for gethostbyname
    set(iris_kopete_libs ${iris_kopete_libs} nsl)
endif(HAVE_NSL_LIBRARY)
target_link_libraries(iris_kopete ${iris_kopete_libs})

########### install files ###############

=== protocols/jabber/libjingle/CMakeLists.txt ===
# Copyright (c) 2009-2013 Pali Rohár <pali.rohar@gmail.com>

########### next target ###############

# If we are not included from jabber protocol (= BUILD_LIBJINGLE is not defined) then find required packages
# This is usefull for debugging and compiling call executable without kopete and KDE dependences
if ( NOT BUILD_LIBJINGLE )
	cmake_minimum_required(VERSION 2.8.3)
	set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/../../../cmake/modules ${CMAKE_MODULE_PATH})
	find_package(Expat REQUIRED)
	find_package(JsonCpp REQUIRED)
	find_package(LiboRTP REQUIRED)
	find_package(Mediastreamer REQUIRED)
	find_package(OpenSSL REQUIRED)
	find_package(SRTP REQUIRED)
endif ( NOT BUILD_LIBJINGLE )

########### next target ###############

add_definitions (
	-DFEATURE_ENABLE_SSL
	-DFEATURE_ENABLE_VOICEMAIL
	-DFEATURE_ENABLE_PSTN
	-DHAVE_SRTP
	-DHAVE_LINPHONE
	-DSRTP_RELATIVE_PATH
	-DEXPAT_RELATIVE_PATH
	-DGTEST_RELATIVE_PATH
	-DJSONCPP_RELATIVE_PATH
)

if ( NOT WIN32 )
	add_definitions (
		-DHASHNAMESPACE=__gnu_cxx
		-DHASH_NAMESPACE=__gnu_cxx
		-DPOSIX
		-DDISABLE_DYNAMIC_CAST
		-DHAVE_OPENSSL_SSL_H
		-D_REENTRANT
	)
	if ( NOT APPLE )
		add_definitions ( -DLINUX )
	endif ( NOT APPLE )
endif ( NOT WIN32 )

if ( MEDIASTREAMER_LESS_2_9 )
	add_definitions ( -DMEDIASTREAMER_LESS_2_9 )
endif ( MEDIASTREAMER_LESS_2_9 )

if ( MEDIASTREAMER_LESS_2_11 )
	add_definitions ( -DMEDIASTREAMER_LESS_2_11 )
endif ( MEDIASTREAMER_LESS_2_11 )

if ( CMAKE_BUILD_TYPE STREQUAL "Debug" )
	add_definitions ( -D_DEBUG )
endif ( CMAKE_BUILD_TYPE STREQUAL "Debug" )

set ( CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-undef -Wno-unused-parameter" )
set ( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-undef -Wno-unused-parameter -Wno-non-virtual-dtor -Wno-delete-non-virtual-dtor -std=gnu++98" )

########### next target ###############

include_directories (
	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}/talk/third_party/libudev
	${MEDIASTREAMER_INCLUDE_DIR}
	${LIBORTP_INCLUDE_DIR}
	${SRTP_INCLUDE_DIR}
	${JSONCPP_INCLUDE_DIR}
)

if ( NOT WIN32 )
	include_directories (
		${OPENSSL_INCLUDE_DIR}
	)
endif ( NOT WIN32 )

########### next target ###############

set ( call_SRCS
	talk/base/latebindingsymboltable.cc
	talk/base/linux.cc
	talk/base/linuxfdwalk.cc
	talk/base/libdbusglibsymboltable.cc
	talk/session/phone/libudevsymboltable.cc
	talk/session/phone/linuxdevicemanager.cc
	talk/session/phone/v4llookup.cc
	talk/sound/pulseaudiosoundsystem.cc
	talk/sound/pulseaudiosymboltable.cc
	talk/base/unixfilesystem.cc
	talk/base/openssladapter.cc
	talk/base/openssldigest.cc
	talk/base/opensslidentity.cc
	talk/base/opensslstreamadapter.cc
	talk/base/posix.cc
	talk/base/sslidentity.cc
	talk/base/sslstreamadapter.cc
	talk/session/phone/linphonemediaengine.cc
	talk/base/asyncfile.cc
	talk/base/asynchttprequest.cc
	talk/base/asyncsocket.cc
	talk/base/asynctcpsocket.cc
	talk/base/asyncudpsocket.cc
	talk/base/autodetectproxy.cc
	talk/base/bandwidthsmoother.cc
	talk/base/base64.cc
	talk/base/basicpacketsocketfactory.cc
	talk/base/bytebuffer.cc
	talk/base/checks.cc
	talk/base/common.cc
	talk/base/cpuid.cc
	talk/base/cpumonitor.cc
	talk/base/diskcache.cc
	talk/base/event.cc
	talk/base/filelock.cc
	talk/base/fileutils.cc
	talk/base/firewallsocketserver.cc
	talk/base/flags.cc
	talk/base/helpers.cc
	talk/base/host.cc
	talk/base/httpbase.cc
	talk/base/httpclient.cc
	talk/base/httpcommon.cc
	talk/base/httprequest.cc
	talk/base/httpserver.cc
	talk/base/ipaddress.cc
	talk/base/logging.cc
	talk/base/md5c.c
	talk/base/messagedigest.cc
	talk/base/messagehandler.cc
	talk/base/messagequeue.cc
	talk/base/multipart.cc
	talk/base/natserver.cc
	talk/base/natsocketfactory.cc
	talk/base/nattypes.cc
	talk/base/nethelpers.cc
	talk/base/network.cc
	talk/base/optionsfile.cc
	talk/base/pathutils.cc
	talk/base/physicalsocketserver.cc
	talk/base/proxydetect.cc
	talk/base/proxyinfo.cc
	talk/base/proxyserver.cc
	talk/base/ratelimiter.cc
	talk/base/ratetracker.cc
	talk/base/sha1.c
	talk/base/sharedexclusivelock.cc
	talk/base/signalthread.cc
	talk/base/socketadapters.cc
	talk/base/socketaddress.cc
	talk/base/socketaddresspair.cc
	talk/base/socketpool.cc
	talk/base/socketstream.cc
	talk/base/ssladapter.cc
	talk/base/sslsocketfactory.cc
	talk/base/stream.cc
	talk/base/stringencode.cc
	talk/base/stringutils.cc
	talk/base/systeminfo.cc
	talk/base/task.cc
	talk/base/taskparent.cc
	talk/base/taskrunner.cc
	talk/base/testclient.cc
	talk/base/thread.cc
	talk/base/timeutils.cc
	talk/base/timing.cc
	talk/base/transformadapter.cc
	talk/base/urlencode.cc
	talk/base/versionparsing.cc
	talk/base/virtualsocketserver.cc
	talk/base/worker.cc
	talk/p2p/base/constants.cc
	talk/p2p/base/p2ptransport.cc
	talk/p2p/base/p2ptransportchannel.cc
	talk/p2p/base/parsing.cc
	talk/p2p/base/port.cc
	talk/p2p/base/portallocator.cc
	talk/p2p/base/portallocatorsessionproxy.cc
	talk/p2p/base/portproxy.cc
	talk/p2p/base/pseudotcp.cc
	talk/p2p/base/relayport.cc
	talk/p2p/base/relayserver.cc
	talk/p2p/base/rawtransport.cc
	talk/p2p/base/rawtransportchannel.cc
	talk/p2p/base/session.cc
	talk/p2p/base/sessiondescription.cc
	talk/p2p/base/sessionmanager.cc
	talk/p2p/base/sessionmessages.cc
	talk/p2p/base/stun.cc
	talk/p2p/base/stunport.cc
	talk/p2p/base/stunrequest.cc
	talk/p2p/base/stunserver.cc
	talk/p2p/base/tcpport.cc
	talk/p2p/base/transport.cc
	talk/p2p/base/transportchannel.cc
	talk/p2p/base/transportchannelproxy.cc
	talk/p2p/base/udpport.cc
	talk/p2p/client/basicportallocator.cc
	talk/p2p/client/connectivitychecker.cc
	talk/p2p/client/httpportallocator.cc
	talk/p2p/client/socketmonitor.cc
	talk/session/tunnel/pseudotcpchannel.cc
	talk/session/tunnel/tunnelsessionclient.cc
	talk/session/tunnel/securetunnelsessionclient.cc
	talk/session/phone/audiomonitor.cc
	talk/session/phone/call.cc
	talk/session/phone/channel.cc
	talk/session/phone/channelmanager.cc
	talk/session/phone/codec.cc
	talk/session/phone/constants.cc
	talk/session/phone/currentspeakermonitor.cc
	talk/session/phone/dataengine.cc
	talk/session/phone/devicemanager.cc
	talk/session/phone/filemediaengine.cc
	talk/session/phone/filevideocapturer.cc
	talk/session/phone/mediaengine.cc
	talk/session/phone/mediamessages.cc
	talk/session/phone/mediamonitor.cc
	talk/session/phone/mediarecorder.cc
	talk/session/phone/mediasession.cc
	talk/session/phone/mediasessionclient.cc
	talk/session/phone/rtpdump.cc
	talk/session/phone/rtputils.cc
	talk/session/phone/rtcpmuxfilter.cc
	talk/session/phone/soundclip.cc
	talk/session/phone/srtpfilter.cc
	talk/session/phone/ssrcmuxfilter.cc
	talk/session/phone/streamparams.cc
	talk/session/phone/videoadapter.cc
	talk/session/phone/videocapturer.cc
	talk/session/phone/videocommon.cc
	talk/session/phone/videoframe.cc
	talk/sound/nullsoundsystem.cc
	talk/sound/nullsoundsystemfactory.cc
	talk/sound/platformsoundsystem.cc
	talk/sound/platformsoundsystemfactory.cc
	talk/sound/soundsysteminterface.cc
	talk/sound/soundsystemproxy.cc
	talk/xmllite/qname.cc
	talk/xmllite/xmlbuilder.cc
	talk/xmllite/xmlconstants.cc
	talk/xmllite/xmlelement.cc
	talk/xmllite/xmlnsstack.cc
	talk/xmllite/xmlparser.cc
	talk/xmllite/xmlprinter.cc
	talk/xmpp/constants.cc
	talk/xmpp/hangoutpubsubclient.cc
	talk/xmpp/iqtask.cc
	talk/xmpp/jid.cc
	talk/xmpp/moduleimpl.cc
	talk/xmpp/mucroomconfigtask.cc
	talk/xmpp/mucroomhistorytask.cc
	talk/xmpp/mucroomlookuptask.cc
	talk/xmpp/pubsubclient.cc
	talk/xmpp/pubsub_task.cc
	talk/xmpp/pubsubtasks.cc
	talk/xmpp/receivetask.cc
	talk/xmpp/saslmechanism.cc
	talk/xmpp/xmppclient.cc
	talk/xmpp/xmppengineimpl.cc
	talk/xmpp/xmppengineimpl_iq.cc
	talk/xmpp/xmpplogintask.cc
	talk/xmpp/xmppstanzaparser.cc
	talk/xmpp/xmpptask.cc
	talk/examples/call/call_main.cc
	talk/examples/call/callclient.cc
	talk/examples/call/console.cc
	talk/examples/call/friendinvitesendtask.cc
	talk/examples/call/mediaenginefactory.cc
	talk/examples/call/mucinviterecvtask.cc
	talk/examples/call/mucinvitesendtask.cc
	talk/examples/call/presenceouttask.cc
	talk/examples/call/presencepushtask.cc
	talk/examples/login/jingleinfotask.cc
	talk/examples/login/xmppauth.cc
	talk/examples/login/xmpppump.cc
	talk/examples/login/xmppsocket.cc
)

set ( call_LIBS
	${SRTP_LIBRARY}
	${JSONCPP_LIBRARY}
	EXPAT::EXPAT
	${MEDIASTREAMER_LIBRARIES}
	${LIBORTP_LIBRARY}
	${CMAKE_DL_LIBS}
)

if ( NOT WIN32 )
	#timeutils calls CLOCK_MONOLITHIC stuff, so we need the rt library
	FIND_LIBRARY(RT_LIBRARY NAMES rt)
	set ( call_LIBS ${call_LIBS}
		${OPENSSL_LIBRARIES}
		${RT_LIBRARY}
	)
endif ( NOT WIN32 )

add_executable ( call ${call_SRCS} )
set_target_properties ( call PROPERTIES OUTPUT_NAME libjingle-call )
target_link_libraries ( call ${call_LIBS} )

########### install files ###############

install ( TARGETS call DESTINATION bin )

=== protocols/groupwise/libgroupwise/tests/CMakeLists.txt ===

include_directories( ${KOPETE_SOURCE_DIR}/protocols/groupwise ${KOPETE_SOURCE_DIR}/protocols/groupwise/libgroupwise )


########### next target ###############

set(clientstream_test_SRCS clientstream_test.cpp )

add_executable(clientstream_test ${clientstream_test_SRCS})

target_link_libraries(clientstream_test  KF5::KDELibs4Support qt-mt )


########### next target ###############

set(field_test_SRCS field_test.cpp )

add_executable(field_test ${field_test_SRCS})

target_link_libraries(field_test  KF5::KDELibs4Support gwtest qt-mt )


########### next target ###############

set(coreprotocol_test_SRCS coreprotocol_test.cpp )

add_executable(coreprotocol_test ${coreprotocol_test_SRCS})

target_link_libraries(coreprotocol_test  KF5::KDELibs4Support gwtest qt-mt )


########### next target ###############

set(client_test_SRCS client_test.cpp )

add_executable(client_test ${client_test_SRCS})

target_link_libraries(client_test  KF5::KDELibs4Support gwtest qt-mt )


########### install files ###############

=== protocols/groupwise/libgroupwise/tasks/tests/CMakeLists.txt ===

########### next target ###############

set(task_take_test_SRCS task_take_test.cpp )

add_executable(task_take_test ${task_take_test_SRCS})

target_link_libraries(task_take_test  KF5::KDELibs4Support qt-mt gwtest )


########### install files ###############

=== styles/Retropete/Contents/Resources/images/CMakeLists.txt ===

########### install files ###############

install( FILES state-sending.gif state-error.png  DESTINATION ${KDE_INSTALL_DATADIR}/kopete/styles/Retropete/Contents/Resources/images)

=== debian/changelog ===
kopete (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:37:34 +0000

kopete (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:13:24 +0000

kopete (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:12:11 -0700

=== debian/control ===
--- 
+++ 
@@ -30,18 +30,17 @@
                libkf5doctools-dev (>= 5.25.0~),
                libkf5emoticons-dev (>= 5.25.0~),
                libkf5i18n-dev (>= 5.25.0~),
-               libkf5identitymanagement-dev (>= 23.08.4~),
+               libkf5identitymanagement-dev (>= 23.08.5~),
                libkf5kcmutils-dev (>= 5.25.0~),
                libkf5kdelibs4support-dev (>= 5.25.0~),
                libkf5khtml-dev (>= 5.25.0~),
                libkf5kio-dev (>= 5.25.0~),
-               libkf5libkleo-dev (>= 4:23.08.4~),
+               libkf5libkleo-dev (>= 4:23.08.5~),
                libkf5notifyconfig-dev (>= 5.25.0~),
                libkf5parts-dev (>= 5.25.0~),
                libkf5textaddons-dev,
                libkf5texteditor-dev (>= 5.25.0~),
                libkf5wallet-dev (>= 5.25.0~),
-#               libmeanwhile-dev,
                libmediastreamer-dev (>= 3.6),
                libortp-dev (>= 0.13),
                libotr5-dev,
